1. Operations
Artha All Module Api's
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Products
    • List Products
      GET
    • Get Product
      GET
    • Get Customer Product Status
      GET
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Submit Applicant (KYC/KYB)
      POST
    • Create Onboarding Session
      POST
  • Wallets
    • Beneficiary
      • Create Crypto Beneficiary
      • Update Crypto Beneficiary
      • List Crypto Withdraw Beneficiaries
    • Create Wallet
    • Get Wallet Address
    • Get Customer Balances
    • List Wallets
    • List Withdrawals
    • List Withdrawal Networks
    • Preview Withdrawal Summary
    • Create Crypto Withdrawal
  • Cards
    • Issuance
      • Issue Card
      • List Cards
      • List Customer Cards
      • Get Card Details
      • Get Sensitive Card Details
    • Funding
      • Top Up Card
      • Get Card Balance
      • Get Top-Up Status
      • List Top-Up History
    • Operations
      • Resend Activation Code
        POST
      • Activate Card
        POST
      • Set Card PIN
        POST
      • Change Card PIN
        POST
      • Update Card Limits
        POST
      • Freeze Card
        POST
      • Unfreeze Card
        POST
      • Replace Card
        POST
      • Cancel Card
        POST
      • Get Card Limits
        GET
      • Show Card PIN Details
        GET
      • Get PIN View Iframe URL
        GET
      • Get PIN Change Iframe URL
        GET
      • Get PIN Set Iframe URL
        GET
      • Get Card View Iframe URL
        GET
      • Show Card PIN
        GET
  • Payees
    • Create a payee for a customer.
    • List a customer's payees.
    • Update a payee.
    • Retrieve a payee by id.
    • Look up an existing payee.
    • List the currencies a payee can be created in.
    • List the accepted payment purpose codes for a payee.
    • List the countries a payee can be created in.
    • List currency/country pairings for payees.
    • List the accepted beneficiary relationship codes.
  • Payments
    • Onboarding
      • List the customer's payout-currency configuration sections.
      • Enable a payout-currency section for the customer.
      • Get the customer's terms-of-service acceptance status.
      • Enable or disable a payout-currency section.
    • Quote
      • List the currencies a beneficiary can be paid in under a product.
      • List the payout rails available for a product and beneficiary.
      • Create an FX quote giving the rate and fee for a cross-currency payout.
    • Order
      • Submit a payout order to send money to a beneficiary.
      • Retrieve the on-chain address to fund an order.
      • Retrieve the status and settlement detail of a payout order.
    • Lookups
      • List the accepted payment purpose codes for a payout.
      • List the accepted source-of-funds codes for a payout.
      • List the document types accepted on a payout order.
  • Banks
    • Accounts
      • Create Bank Account
      • Get Account Details
      • Get Account Issuance Status
    • Withdraw
      • Create Withdrawal Quote
      • List Withdrawal Purposes
      • Get Payment Schemes
      • Execute Withdrawal
  • Exchange
    • Quote
      • Get Exchange Rate
      • Create Price Quote
    • Order
      • Place Exchange Order
  • Transactions
    • List Transactions
    • Get Transaction Details
  • Utilities
    • List Currencies
    • List Countries
    • Get Fee Schedule
    • List Product Occupations
    • List Product Industry Codes
    • Upload File
  • Webhook's
    • Wallets Webhooks
    • Banks Webhooks
    • Payments Webhooks
    • Exchange Webhooks
    • Card Webhooks
  1. Operations

Activate Card

POST
/api/v1/cardoperations/{cardId}/activate
Activates (binds) a physical card to the customer's account. Which inputs are mandatory depends on product configuration: some products require the printed activationCode, some require verification (last 4 digits + expiry), and some require a pin to be set at activation time.
Prerequisites
The card must currently be in waiting_to_activate status.
Status values
StatusMeaning
waiting_to_activateCard issued but not yet usable
activeCard is activated and usable
Optional Fields
FieldTypeDescriptionConstraints
verification.last4stringLast four digits of the card numberNullable
verification.expiryDatestringCard expiry, MM/YYNullable
activationCodestringActivation code printed on the card mailer/envelopeMax: 64 路 Nullable
pinstringPIN to set during activation, for products that require itMin: 4 路 Max: 6 路 Nullable
馃摛 Response Fields
FieldTypeDescription
cardIdstring (uuid)Card identifier
customerIdstring (uuid)Customer identifier
productIdstring (uuid)Product identifier
cardTypestringType of card (e.g. Physical)
cardNumberstringCard number
actionstringAction performed on the card
statusstringNew card status, e.g. Active
taskIdstringIdentifier for the activation task
messagestringResult message for the activation action

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

馃煝200
application/json
Card activated.
Bodyapplication/json

馃煚401
馃煚404
馃煚422
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location '/api/v1/cardoperations/6f1c9a2e-4b3d-4e7a-9c5f-1a2b3c4d5e6f/activate' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;' \
--header 'Content-Type: application/json' \
--data '{
    "activationCode": "393842",
    "pin": "776750"
}'
Response Response Example
200 - Success
{
    "cardId": "8f3c2a1e-6b74-4d91-9c52-1a7e8b5d3f20",
    "customerId": "5a2d7c91-3e46-4b82-a1f5-9d8c6e2b4a10",
    "productId": "2b7f4e61-9a35-48c2-bd17-6e5a3f8c9120",
    "cardType": "Physical",
    "cardNumber": null,
    "action": "Activate",
    "status": "Active",
    "taskId": "c9e4a721-5f83-4d62-8b19-2a6f7c1d9e31",
    "message": "Activation code resent successfully."
}
Modified at聽2026-09-01 08:33:14
Previous
Resend Activation Code
Next
Set Card PIN
Built with